Ortho Toggle

Discussion in 'AutoCAD' started by Tom C., Jun 7, 2004.

  1. Tom C.

    Tom C. Guest

    How can I add the Ortho toggle (on/off) command to a single toolbar button?
    What is the command line?

    I already know that F8 works, as well as the button at the bottom of the
    screen.
    But a button in my floating toolbar would be better.

    Thanks-
     
    Tom C., Jun 7, 2004
    #1
  2. Tom C.

    BillZ Guest

    (setvar "orthomode" 1) = on


    Bill
     
    BillZ, Jun 7, 2004
    #2
  3. Tom C.

    Jürg Menzi Guest

    Hi Tom

    ^p(progn(setvar"ORTHOMODE"(boole 6(getvar"ORTHOMODE")1))(princ))

    Cheers
     
    Jürg Menzi, Jun 7, 2004
    #3
  4. Tom C.

    ECCAD Guest

    [Button name]^O

    Bob
     
    ECCAD, Jun 7, 2004
    #4
  5. Tom C.

    Paul Turvill Guest

    (setvar "orthomode" (- 1 (getvar "orthomode")))
    ___
     
    Paul Turvill, Jun 7, 2004
    #5
  6. Tom C.

    Marco Caprez Guest

    Tom,

    (setvar "ORTHOMODE" (abs (- (getvar "ORTHOMODE") 1)))

    cheers
     
    Marco Caprez, Jun 7, 2004
    #6
  7. Tom C.

    mark Guest

    or using diesel

    '_setvar;orthomode;$M=$(if,$(eq,$(getvar,orthomode),0),1,0)

    mark
     
    mark, Jun 7, 2004
    #7
  8. Tom C.

    Steve Doman Guest

    (vla-setvariable
    (vla-get-activedocument (vlax-get-acad-object))
    "orthomode"
    (- 1
    (vlax-variant-value
    (vla-getvariable
    (vla-get-activedocument (vlax-get-acad-object))
    "orthomode"
    )
    )
    )
    )
     
    Steve Doman, Jun 7, 2004
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.